<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file name='/etc/host.conf'/>
        <file name='/etc/sudoers.d/amon' source='amon.sudo' mode="0440"/>
        <file name='/etc/cron.d/amon-firewall' source='cron-root'/>
    </files>

    <variables>

        <family name='general'>
            <variable name='nombre_interfaces' redefine='True' mode='basic'>
                <value>2</value>
            </variable>
            <variable name='eole_module' redefine='True'>
                <value>amon</value>
            </variable>
        </family>

        <family name='services'>
            <variable name='activer_clam' redefine='True'>
                <value>non</value>
            </variable>
        </family>

        <family name='système'>

            <!-- We need to recalculate the variables -->
            <variable name='eole_lv_names' redefine='True' remove_check='True' />
            <variable name='eole_lv_standard_extends' redefine='True' remove_check='True' />

        </family>

        <family name='Interface-0'>
            <variable name='activer_dns_eth0' redefine='True' mode='expert'>
                <value>non</value>
            </variable>
            <variable name='dns_master_eth0' redefine='True' mode='expert'/>
        </family>

        <family name='réseau avancé' mode='expert'>
            <variable name='activer_routage_ipv4' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
        </family>

        <separators/>

    </variables>

    <constraints>

        <!-- Amon >= 2 cartes réseau -->
        <check name="valid_enum" target="nombre_interfaces">
            <param>['2','3','4','5']</param>
        </check>

        <!-- Default AmonEcole* logical volumes -->
        <auto name='calc_multi_val' target='eole_lv_names'>
            <param>root</param>
            <param>tmp</param>
            <param>var</param>
            <param>var+spool</param>
            <param>var+log</param>
            <param>home</param>
        </auto>

        <!-- Default AmonEcole* logical volumes extension: 100% /home -->
        <auto name='calc_multi_val' target='eole_lv_standard_extends'>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>100</param>
            <param type='number'>0</param>
        </auto>

    </constraints>

    <help/>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
